%global pname   text2skin
%global __provides_exclude_from ^%{vdr_plugindir}/.*\\.so.*$
# imagelib: imagemagick, graphicsmagick, imlib2 or %%{nil}
%{!?imagelib: %global imagelib graphicsmagick}

Name:           vdr-%{pname}
Version:        1.3.2
Release:        2%{?dist}
Summary:        OSD skin plugin for VDR

License:        GPL+
URL:            http://projects.vdr-developer.org/projects/show/plg-text2skin
Source0:        http://projects.vdr-developer.org/attachments/download/783/%{name}-%{version}.tgz
Source1:        %{name}.conf
Patch0:         %{name}-1.3-skindir.patch

%if "%{imagelib}" == "imagemagick"
BuildRequires:  ImageMagick-c++-devel
%endif
%if "%{imagelib}" == "graphicsmagick"
BuildRequires:  GraphicsMagick-c++-devel
%endif
%if "%{imagelib}" == "imlib2"
BuildRequires:  imlib2-devel
%endif
BuildRequires:  vdr-devel >= 1.6.0-41
BuildRequires:  gawk
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description
This plugin is designed to load and interpret a set of files
describing the layout of VDR's on screen display and to make this
"skin" available to VDR via Setup -> OSD in the main menu.  Of course
it is possible to load more than one text based skin this way and to
choose between them while running VDR.  All skins may be themeable
(you can create your own color theme) and translatable as the author
of the skin wishes.


%prep
%setup -q -n %{pname}-%{version}
sed -e 's|/usr/share/vdr/|%{vdr_datadir}/|' %{PATCH0} | patch -p1
chmod -c -x contrib/*.pl


%build
make %{?_smp_mflags} STRIP=: IMAGELIB=%{?imagelib} LIBDIR=. LOCALEDIR=./locale \
    VDRDIR=%{_libdir}/vdr all


%install

install -dm 755 $RPM_BUILD_ROOT%{vdr_plugindir}
install -pm 755 libvdr-%{pname}.so.%{vdr_apiversion} \
    $RPM_BUILD_ROOT%{vdr_plugindir}

install -Dpm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf

install -dm 755 $RPM_BUILD_ROOT%{vdr_datadir}/text2skin

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale
%find_lang %{name}


%files -f %{name}.lang
%doc CONTRIBUTORS COPYING HISTORY README Docs/*.txt Docs/text2skin*.rng
%doc contrib/skin_to_10.pl
%lang(de) %doc README.de
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{vdr_plugindir}/libvdr-%{pname}.so.%{vdr_apiversion}
%{vdr_datadir}/text2skin/


%changelog
* Sun Dec  4 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.3.2-2
- Rebuild.

* Sun Nov  6 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.3.2-1
- Update to 1.3.2.
- Clean up specfile constructs no longer needed with Fedora or EL6+.

* Tue May 31 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.3.1-3
- Patch to fix cache initialization crash when built with GCC 4.6.
- Use __provides_exclude_from to filter Provides.
- Clean up some no longer needed specfile cruft.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 22 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.3.1-1
- Update to 1.3.1 (#606725).

* Wed Oct  7 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.3-1
- Update to 1.3 (#527682).
- Filter out autoprovided libvdr-*.so.* (if %%filter_setup is available).

* Tue Sep  1 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.2-3.git97c95bc
- Update to git revision 97c95bc for several bugfixes and better fonts handling.
- Build with GraphicsMagick instead of imlib2 by default.
- Make vdr(abi) dependency ISA qualified.
- Install translations.
- Use %%global instead of %%define.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul  9 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.2-1
- Update to 1.2.
- Specfile cleanups.
- Fix spelling errors in description.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-24.cvsext0.10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Apr  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1-23.cvsext0.10
- Update to 1.1-cvs_ext-0.10.
- Build for VDR 1.6.0.

* Sun Apr  6 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1-22.20051217cvs
- Apply VDR 1.5+ patches from e-tobi.net Debian package.

* Fri Jan  4 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1-21.20051217cvs
- Fix build with gcc 4.3's cleaned up C++ headers.

* Wed Aug 22 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1-20.20051217cvs
- BuildRequires: gawk for extracting APIVERSION.

* Tue Aug  7 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1-19.20051217cvs
- License: GPL+

* Sun Apr  8 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1-18.20051217cvs
- Grab potential XML parse buffer overflow fix from upstream CVS.

* Sun Nov 19 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1-16.20051217cvs
- Migrate real skins directory to /usr/share/vdr/text2skin.
- Patch for freetype 2.2 compatibility.

* Sat Nov  4 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1-15.20051217
- Build with imlib2 instead of imagemagick by default due to #212478.
- Build for VDR 1.4.4.

* Fri Oct 06 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 1.1-14
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sat Sep 23 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1-13.20051217
- Rebuild for VDR 1.4.3.

* Sun Aug  6 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1-12.20051217
- Rebuild for VDR 1.4.1-3.

* Sun Jun 11 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1-11.20051217
- Rebuild for VDR 1.4.1.

* Sun Apr 30 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1-10.20051217
- Rebuild for VDR 1.4.0.
